org.apache.commons.math3.optimization.fitting

## Class WeightedObservedPoint

- java.lang.Object
- - org.apache.commons.math3.optimization.fitting.WeightedObservedPoint

All Implemented Interfaces:
  java.io.Serializable

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class WeightedObservedPoint
    extends java.lang.Object
    implements java.io.Serializable

This class is a simple container for weighted observed point in `curve fitting`.

Instances of this class are guaranteed to be immutable.

Since:
  2.0
Version:
  $Id: WeightedObservedPoint.java 1422230 2012-12-15 12:11:13Z erans $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Deprecated. Serializable version id.
`private double` `weight` Deprecated. Weight of the measurement in the fitting process.
`private double` `x` Deprecated. Abscissa of the point.
`private double` `y` Deprecated. Observed value of the function at x.

### Constructor Summary

Constructors
Constructor and Description
`WeightedObservedPoint(double weight, double x, double y)` Deprecated. Simple constructor.

### Method Summary

Methods
`double` `getWeight()` Deprecated. Get the weight of the measurement in the fitting process.
`double` `getX()` Deprecated. Get the abscissa of the point.
`double` `getY()` Deprecated. Get the observed value of the function at x.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Deprecated.
Serializable version id.

See Also:
  Constant Field Values

#### weight

    private final double weight

Deprecated.
Weight of the measurement in the fitting process.

#### x

    private final double x

Deprecated.
Abscissa of the point.

#### y

    private final double y

Deprecated.
Observed value of the function at x.

### Constructor Detail

#### WeightedObservedPoint

    public WeightedObservedPoint(double weight,
                         double x,
                         double y)

Deprecated.
Simple constructor.

Parameters:
  `weight` - weight of the measurement in the fitting process
  `x` - abscissa of the measurement
  `y` - ordinate of the measurement

### Method Detail

#### getWeight

    public double getWeight()

Deprecated.
Get the weight of the measurement in the fitting process.

Returns:
  weight of the measurement in the fitting process

#### getX

    public double getX()

Deprecated.
Get the abscissa of the point.

Returns:
  abscissa of the point

#### getY

    public double getY()

Deprecated.
Get the observed value of the function at x.

Returns:
  observed value of the function at x